# $Revision: 1.18 $, $Date: 2009/09/18 07:39:44 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Business-BlackScholes
Summary:	Math::Business::BlackScholes - Black-Scholes option price model functions
Summary(pl.UTF-8):	Math::Business::BlackScholes - funkcje modelu cenowego Black-Scholes
Name:		perl-Math-Business-BlackScholes
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dfa3695f504e2632865fe61ae90ee52c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Math::CDF) >= 0.1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Business::BlackScholes estimates the fair market price of a
European stock option according to the Black-Scholes model.

%description -l pl.UTF-8
Math::Business::BlackScholes estymuje wolnorynkową cenę europejskich
opcji na akcje zgodnie z modelem Black-Scholes.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/Business/BlackScholes.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Business-BlackScholes.spec,v $
Revision 1.18  2009/09/18 07:39:44  amateja
- updated to 1.01

Revision 1.17  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.15  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.14  2004/11/03 22:30:33  paladine
- formatting

Revision 1.13  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:20:37  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.10  2004/02/16 22:30:05  adamg
- updated to 0.06
- new style bconds

Revision 1.9  2003/09/18 13:20:06  adamg
- updated to 0.05

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:21  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 00:42:37  qboosh
- new

